<div class="title">
  <h2 mat-dialog-title style="width: 100%; margin: 0">{{ cluster.name }}</h2>
  <button mat-icon-button aria-label="Close" mat-dialog-close style="margin: 10px 10px 0 0;">
    <mat-icon>close</mat-icon>
  </button>
</div>

<mat-dialog-content class="mat-typography">
  <p>{{ cluster.description }}</p>
  <h2 *ngIf="cluster.members.length > 0">Participants</h2>
  <div class="logoContainer">
    <div *ngFor="let partner of cluster.members">
      <div mat-dialog-close class="imageContainer">
        <img
          [src]="mediaEndpoint + 'logos/' + partner.logo"
          alt=""
          style="height: 30px;"
          [routerLink]="['/profiles/', partner.id]"
        >
      </div>
    </div>
    <!-- <mat-divider *ngIf="!last" vertical style="height:100%"></mat-divider> -->
  </div>
  <div class="buttonContainer">
    <div class="buttons" style="grid-area: buttons;">
      <button mat-icon-button mat-dialog-close aria-label="Edit this cluster"
        [routerLink]="['/clusters/edit/', cluster.id]" matTooltip="Edit this cluster">
        <mat-icon>mode_edit</mat-icon>
      </button>
      <button mat-icon-button mat-dialog-close aria-label="Edit this network"
        (click)="api.deleteEntry('cluster', cluster.id, cluster.name, true)" matTooltip="Delete this cluster">
        <mat-icon>delete_forever</mat-icon>
      </button>
    </div>
  </div>
</mat-dialog-content>
